Post Reply

[Resolved] MX Player support for Android 4.4.3

OP eesheesh

21st April 2014, 09:46 PM   |  #1  
OP Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Apr 2014
Hi,

According to AndroidPolice and other sources (sorry, can't link), Android 4.4.3 is coming.

Will MX Player work on this version or is an update necessary?

Thanks!
21st April 2014, 09:47 PM   |  #2  
scientific calculator's Avatar
Junior Member
Thanks Meter: 3
 
16 posts
Join Date:Joined: Jan 2014
Sure, no reason why it should not work. MX Player requires Android 2.1 and above...
21st April 2014, 10:09 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Apr 2014
Quote:
Originally Posted by scientific calculator

Sure, no reason why it should not work. MX Player requires Android 2.1 and above...

I can't add a link because I'm a new user, but there was a relatively long delay (more than a week if I understand correctly) until Android 4.4.1 and 4.4.2 support was added when they were released. Users got a dialog saying "Unsupported android version" and MX Player wouldn't load. Only when MX Player v1.7.21 was released it started working again.

You can Google "mx player unsupported android version" for references.

I just want to know the current version already supports Android 4.4.3 or is it going to show the same error.
22nd April 2014, 09:57 AM   |  #4  
ktsamy's Avatar
Senior Member
Flag Palani / Surat
Thanks Meter: 1,597
 
531 posts
Join Date:Joined: Sep 2011
Donate to Me
More
Quote:
Originally Posted by eesheesh

I can't add a link because I'm a new user, but there was a relatively long delay (more than a week if I understand correctly) until Android 4.4.1 and 4.4.2 support was added when they were released. Users got a dialog saying "Unsupported android version" and MX Player wouldn't load. Only when MX Player v1.7.21 was released it started working again.

You can Google "mx player unsupported android version" for references.

I just want to know the current version already supports Android 4.4.3 or is it going to show the same error.



Actually that was not a version issue but an incompatibility issue with Android internal module.
MX Player uses many Android private modules to improve playback performance.
Sometimes this private modules changes and then this message will be showed up.

In that case, audio module was changed so the developer has been forced to rewrite entire audio output codes.

That's why there was a delay.
MX Player will be compatible with android 4.4.3 if there is no major changes in Internal Module.
The Following User Says Thank You to ktsamy For This Useful Post: [ View ]
23rd April 2014, 07:16 AM   |  #5  
CDB-Man's Avatar
Senior Member
Thanks Meter: 91
 
408 posts
Join Date:Joined: May 2013
More
ktsamy is correct. Even if the developer ( @bleu8888 ) were to force compatibility, it could potentially result in no audio at all for example.
23rd April 2014, 03:36 PM   |  #6  
Senior Member
Thanks Meter: 167
 
241 posts
Join Date:Joined: Mar 2011
In previous versions, most problem was from incompatibility of audio output module.
With the latest version of MX Player, the compatibility was improved. Therefore I hope it works without additional patch.
The Following 2 Users Say Thank You to bleu8888 For This Useful Post: [ View ]
24th April 2014, 04:40 PM   |  #7  
Senior Member
Flag Antwerp
Thanks Meter: 34
 
183 posts
Join Date:Joined: Aug 2010
Donate to Me
More
There is of course no way to say for sure but going by the details that were leaked this will be a minor update and certainly not a big overhaul.
I doubt android devs will have tampered with those modules again since quite a few apps rely on those and it's not worth breaking compatibility again unless they're having to make some major changes.
The Following User Says Thank You to Logic_ For This Useful Post: [ View ]
3rd June 2014, 12:59 AM   |  #8  
Member
Thanks Meter: 30
 
65 posts
Join Date:Joined: Jun 2013
Info 2 [WIP] Unsupported Android Version Error on 4.4.3
..so please update the app to support it! Getting the typical "Unsupported android version" message.
3rd June 2014, 02:10 AM   |  #9  
ktsamy's Avatar
Senior Member
Flag Palani / Surat
Thanks Meter: 1,597
 
531 posts
Join Date:Joined: Sep 2011
Donate to Me
More
Quote:
Originally Posted by skttrbrain

..so please update the app to support it! Getting the typical "Unsupported android version" message.

Google keeps on changing it's internal modules. That's why we are facing problems. Wait for the update.

Sent from my Galaxy S5 using Tapatalk
3rd June 2014, 04:08 AM   |  #10  
Senior Member
Thanks Meter: 167
 
241 posts
Join Date:Joined: Mar 2011
Would you send system log using MX log collector after launching MX Player and getting "unsupported.." message?
4.4.3 is not yet available either on my device and Android emulator.
MX Log collector is available on Google play: https://play.google.com/store/apps/d...h.logcollector

-------- Update --------
I got upgrade myself. Please don't send log.
Last edited by bleu8888; 3rd June 2014 at 06:45 AM.

The Following User Says Thank You to bleu8888 For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes